<?php
	$info_politikal = ['Не важно','Индифферентные','Коммунистические','Социалистические','Умеренные','Либеральные','Консервативные','Монархические','Ультраконсервативные','Либертарианские'];
	$info_religion = ['Не важно','Православие','Католицизм','Иудаизм','Протестантизм','Ислам','Буддизм','Конфуцианство','Светский гуманизм','Пастафарианство','Атеизм','Агностицизм','Другое'];
	$info_smoking_attitude = ['Не важно','Резко негативное','Негативное','Нейтральное','Положительное'];
	$info_drinking_attitude = ['Не важно','Резко негативное','Негативное','Нейтральное','Положительное'];
	profile :: is_user(true);
$thisLink = "/".$thisPage;
	$thisPage = "/".$thisPage;
	
	$bday_m = array(
		1=>	"Января",
		"Февраля",
		"Марта",
		"Апреля",
		"Мая",
		"Июня",
		"Июля",
		"Августа",
		"Сентября",
		"Октября",
		"Ноября",
		"Декабря"
	);

	if(isset($_GET['act'])) {
		$act = system :: check($_GET['act']);
		if($act == "anketa/edit") { require (".inc/edit.php"); }
	}

	$id = (isset($_GET['id']) ? intval($_GET['id']) : $user['id'] );
	$d = profile :: getUser($id, NULL, false);
	$title = $l = 'Анкета';
	$lBack = profile :: getLink($user);
	$i = 'info_';

	$levels = admin :: getLevel($d);


$a = array(
					1=>array(
							array('в активном поиске',''),
							array('в активном поиске','')
						),
					array(
							array('не замужем',''),
							array('не женат','')
						),
					array(
							array('встречается', 'с'),
							array('встречается', 'с')
						),
					array(
							array('помолвлена', 'с'),
							array('помолвлен', 'с'),
						),
					array(
							array('замужем','за'),
							array('женат','на')
						),
					array(
							array('влюблена','в'),
							array('влюблён','в')
						),
					array(
							array('всё сложно', 'с'),
							array('всё сложно', 'с')
						)
				);
	$sp = '';
	if($d['info_rs'] > 0) {
		$pr = profile :: getUser($d['info_partner'], NULL, false);
		$sp =  $a[$d['info_rs']][$d['info_sex']][0]." ".(isset($pr['id']) && $d['info_partner'] != 0 && ($pr['info_partner'] == $d['id'] || $d['info_rs'] == 6) ? $a[$d['info_rs']][$d['info_sex']][1]." ".profile :: goPage($pr, false) : '' );
	}

	$data = [
		[
			'Имя'=>$d['info_first_name'],
			'Фамилия'=>$d['info_last_name'],
			'Семейное положение'=>$sp,
			'Пол'=>profile :: getSex($d),
			'Дата рождения'=> ($d['info_b_hide'] == 1 && $d['info_b_d'] > 0 && $d['info_b_m'] > 0 && $d['info_b_y'] > 0 ? $d['info_b_d']." ".$bday_m[$d['info_b_m']]." ".$d['info_b_y'] : ''),
			'Родной город' => $d['info_hometown'],
			'О себе' => system :: textOut($d['info_aboutme'])
		],
		
		'Интересы'=>[
			'Интересы'=>system :: textOut($d['info_interes']),
			'Любимая музыка'=>system :: textOut($d['info_love_music']),
			'Любимые фильмы'=>system :: textOut($d['info_love_kino']),
			'Любимые книги'=>system :: textOut($d['info_love_books']),
			'Любимые цитаты'=>system :: textOut($d['info_love_quotes'])
		],
		'Жизненная позиция'=>[
			'Политические взгляды'=>(isset($info_politikal[$d['info_politikal']]) && $d['info_politikal'] > 0 ? $info_politikal[$d['info_politikal']] : '' ),
			'Религиозные взгляды'=>(isset($info_religion[$d['info_religion']]) && $d['info_religion'] > 0 ? $info_religion[$d['info_religion']] : '' ),
			'Отношение к курению'=>(isset($info_smoking_attitude[$d['info_smoking_attitude']]) && $d['info_smoking_attitude'] > 0 ? $info_smoking_attitude[$d['info_smoking_attitude']] : '' ),
			'Отношение к алкоголю'=>(isset($info_drinking_attitude[$d['info_drinking_attitude']]) && $d['info_drinking_attitude'] > 0 ? $info_drinking_attitude[$d['info_drinking_attitude']] : '' ),
		]
	];

	$anketaD = array(
			'first_name'	=>		"Имя",
			'last_name'		=>		"Фамилия",
			'sex'			=>		"Пол",
			'hometown'		=>		"Родной город",
			'aboutme'		=>		"О себе",
		);


	require (CORE."head.php");

echo "<div class=\"app-block\">
	<div class=\"list\">
		<div>
			<span class=\"_gray\">ID:</span> ".$d['id']."
		</div>
		<div>
			<span class=\"_gray\">Дата регистрации:</span> ".system :: times($d['first_time'])."
		</div>
		<div>
			<span class=\"_gray\">Последнее посещение:</span> ".system :: times($d['last_time'])."
		</div>

		<div>
			<span class=\"_gray\">Время на сайте:</span> ".profile :: onlineTime($d['online_time'])."
		</div>
	";	

	foreach ($config['LEVELS'] as $k => $v) {
		if($k == 'a' && $levels['a'] != 0) {
			$r = $v[$levels['a']];
		} else if($levels[$k] != 0) {
			$r = $v;
		}

		if(isset($r)) { echo "<div style=\"color:#43734f;\">{$r}</div>"; }
		unset($r);
	}
echo "</div></div>";
	

	echo "<div class=\"app-block\">".($d['id'] == $user['id'] ? "<a href=\"{$thisPage}/?act=anketa/edit\" class=\"app-action\">".system :: ico('pencil')." Редактировать анкету</a>" : '' )."<div class=\"list\">";
	foreach ($data as $k => $v) {
		$r = "";
		foreach ($v as $k1 => $v1) {
			if($v1 != ""){ $r .= "<div><div class=\"_label _label-title\">{$k1}:</div> <div class=\"_label-text\">{$v1}</div></div>\n"; }
		}
		if($r != "") {
			if($k != '0'){ echo "<div class=\"app-catergory-line\"><span>{$k}</span></div>"; }
			echo $r;
		}
	}
	echo "</div>".system :: back(profile :: getLink($d),"В профиль", true)."</div>";

	require (CORE."foot.php");